org.apache.uima.resource.impl

## Class CustomResourceSpecifier_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.impl.CustomResourceSpecifier_impl

- All Implemented Interfaces:
    Serializable, Cloneable, CustomResourceSpecifier, MetaDataObject, ResourceSpecifier, XMLizable

      public class CustomResourceSpecifier_impl
      extends MetaDataObject_impl
      implements CustomResourceSpecifier

  Implementation of `CustomResourceSpecifier`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomResourceSpecifier_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Parameter[]` | `getParameters()` Gets parameters that may be read by the custom resource class when it is initialized.
    `String` | `getResourceClassName()` Retrieves the name of the Java class that will be instantiated when one of the `UIMAFramework.produceXXX(ResourceSpecifier,...)` methods is called with this resource specifier.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `setParameters(Parameter[] aParameters)` Sets parameters that may be read by the custom resource class when it is initialized.
    `void` | `setResourceClassName(String aResourceClassName)` Setss the name of the Java class that will be instantiated when one of the `UIMAFramework.produceXXX(ResourceSpecifier,...)` methods is called with this resource specifier.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### CustomResourceSpecifier_impl

          public CustomResourceSpecifier_impl()

  - ### Method Detail

    - #### getParameters

          public Parameter[] getParameters()

      Description copied from interface: `CustomResourceSpecifier`
      Gets parameters that may be read by the custom resource class when it is initialized.
      Specified by:
        `getParameters` in interface `CustomResourceSpecifier`
      Returns:
        an array of parameters. This will never return `null`.

    - #### getResourceClassName

          public String getResourceClassName()

      Description copied from interface: `CustomResourceSpecifier`
      Retrieves the name of the Java class that will be instantiated when one of the `UIMAFramework.produceXXX(ResourceSpecifier,...)` methods is called with this resource specifier.
      Specified by:
        `getResourceClassName` in interface `CustomResourceSpecifier`
      Returns:
        a fully-qualified Java class name. The named class should implement `Resource`.

    - #### setParameters

          public void setParameters(Parameter[] aParameters)

      Description copied from interface: `CustomResourceSpecifier`
      Sets parameters that may be read by the custom resource class when it is initialized.
      Specified by:
        `setParameters` in interface `CustomResourceSpecifier`
      Parameters:
        `aParameters` - the Parameters to set.

    - #### setResourceClassName

          public void setResourceClassName(String aResourceClassName)

      Description copied from interface: `CustomResourceSpecifier`
      Setss the name of the Java class that will be instantiated when one of the `UIMAFramework.produceXXX(ResourceSpecifier,...)` methods is called with this resource specifier.
      Specified by:
        `setResourceClassName` in interface `CustomResourceSpecifier`
      Parameters:
        `aResourceClassName` - a fully-qualified Java class name. The named class should implement `Resource`.

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.